Bug 1826431 - Enable VNC Encryption cause noVNC Unsupported security types error
Summary: Enable VNC Encryption cause noVNC Unsupported security types error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: WebSocket Proxy
Version: 4.4.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.4.1
: ---
Assignee: Liran Rotenberg
QA Contact: Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 17:05 UTC by Tamir
Modified: 2020-07-08 08:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-08 08:27:48 UTC
oVirt Team: Virt
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1672587 0 urgent CLOSED VNC encryption is true on host after upgrade causing "Unsupported security types: 19" 2021-02-22 00:41:40 UTC
oVirt gerrit 108646 0 master MERGED packaging: move hardcoded strings to encoded 2020-11-05 12:39:57 UTC

Description Tamir 2020-04-21 17:05:08 UTC
Description of problem:
When VNC Encryption is enabled in the cluster's console tab. Triggering NoVNC console results with: "Unsupported security types: 19".

Version-Release number of selected component (if applicable):
RHEV 4.4.0-31 (RHEL 8.2 engine + hosts)
RHEVM: org.ovirt.engine-root-4.4.0-33
VDSM: vdsm-4.30.44-1.el7ev
novnc-1.1.0-1.el8ost.noarch


How reproducible:
100%

Steps to Reproduce:
Note: Steps 1-2 are if the VNC encryption isn't set)
1. Set the cluster with VNC encryption(Cluster->Enable VNC Encryption)
2. Reinstall the host to apply the changes
3. Run VM with VNC console
4. Start NoVNC console to the VM.

Actual results:
Console isn't open, Got the error: "Unsupported security types: 19".

Expected results:
Console open as usual.

Additional info:
Liran previously opened a similar bug that was fixed. I attached it

Comment 1 Tamir 2020-05-24 10:49:06 UTC
Verified the fix in RHV 4.4.1-1 with RHEL 8.2 engine and hosts and it works!

Verification Steps:
1. Create a data center, cluster with VNC encryption, add a host and data domain.
2. Create a VM.
3. Run the VM with VNC console
4. Start NoVNC console to the VM.

Everything work as expected.

Comment 2 Sandro Bonazzola 2020-07-08 08:27:48 UTC
This bugzilla is included in oVirt 4.4.1 release, published on July 8th 2020.

Since the problem described in this bug report should be resolved in oVirt 4.4.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.